A valid request URL is required to generate request examples{
"changeStatus": "Declined",
"declineReason": "CustomerNotEligible"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Validate (approve or reject) merchant initiated entitlement update.
A valid request URL is required to generate request examples{
"changeStatus": "Declined",
"declineReason": "CustomerNotEligible"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from the CSP organization.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Path Parameters
The partner subscription id which is being updated.
36Body
Partner subscription update validation request
Response
Validated Entitlement Update
Account update status - Approved or not by CSP.
Approved, Declined 36Decline reason if applicable.
CustomerNotEligible, PaymentInstrumentFailure, UserActionNeededPayment, UserActionNeededConfirmation, Other 128Was this page helpful?

